<odoo>
    <data>
        <!-- DMI Equipement -->
        <!-- Notification de validation -->
        <record id="email_initiator_vm_notif" model="mail.template">
            <field name="name">Owner Equipements : Notify the owner - Validation</field>
            <field name="email_from">{{ object.company_id.mail_dmi_notification or '' }}</field>
            <field name="model_id" ref="dmi_managnment.model_dmi_managnment"/>
            <field name="email_to">{{ object.user_id.partner_id.email }}</field>
            <field name="subject">Noitifation DMI {{ object.name }}</field>
            <field name="body_html" type="html">
                <div style="margin: 0px; padding: 0px; font-size: 14px;">
                    <p style="margin: 0px; padding: 0px; font-size: 14px;">
                        Bonjour Mme/Mr {{ object.user_id.name }},
                        <p>
                            Votre DMI dont la reference est {{ object.name }} vient d'etre validee par {{ object.validator_id.name }}.<br/>
                            Elle est passee de l'etape {{ object.old_stage_id.name }} -> {{ object.stage_id.name }}
                        </p>

                        <p>
                            Le statut de le DMI est {{ object.state }}.
                        </p>
                        <div style="margin: 16px 0px 16px 0px;">
                            <a t-attf-href="{{ object.record_url }}"
                               style="background-color: #875A7B; padding: 8px 16px 8px 16px; text-decoration: none; color: #fff; border-radius: 5px; font-size:13px;">
                                Accéder à la DMI.
                            </a>
                        </div>

                        <p>
                            Cordialement
                        </p>
                    </p>
                </div>
            </field>
            <field name="auto_delete" eval="True"/>
        </record>

        <!-- Notification des validateurs Managers -->
        <record id="email_validator_manager_vm_notif" model="mail.template">
            <field name="name">Manager: Notify the validator - Validation</field>
            <field name="email_from">{{ object.company_id.mail_dmi_notification or '' }}</field>
            <field name="email_to">{{ object.manager_id.partner_id.email }}</field>
            <field name="model_id" ref="dmi_managnment.model_dmi_managnment"/>
            <field name="subject">Noitifation validation DMI {{ object.name }}</field>
            <field name="body_html" type="html">
                <div style="margin: 0px; padding: 0px; font-size: 14px;">
                    <p style="margin: 0px; padding: 0px; font-size: 14px;">
                        Bonjour Mme/Mr {{ object.manager_id.name }},
                        <p>
                            La DMI dont la reference est {{ object.name }} est dans votre corbeille pour validation.<br/>
                        </p>

                        <p>
                            Priere de vous connecter a la plateforme pour valider la DMI.
                        </p>
                        <div style="margin: 16px 0px 16px 0px;">
                            <a t-attf-href="{{ object.record_url }}"
                               style="background-color: #875A7B; padding: 8px 16px 8px 16px; text-decoration: none; color: #fff; border-radius: 5px; font-size:13px;">
                                Accéder à la DMI.
                            </a>
                        </div>

                        <p>
                            Cordialement.
                        </p>
                    </p>
                </div>
            </field>
            <field name="auto_delete" eval="True"/>
        </record>
        <!-- Notification Senior Manager -->
        <record id="email_validator_senior_manager_vm_notif" model="mail.template">
            <field name="name">Senior Manager : Notify the validator - Validation</field>
            <field name="email_from">{{ object.company_id.mail_dmi_notification or '' }}</field>
            <field name="email_to">{{ object.senior_manager_id.partner_id.email }}</field>
            <field name="model_id" ref="dmi_managnment.model_dmi_managnment"/>
            <field name="subject">Noitifation validation DMI {{ object.name }}</field>
            <field name="body_html" type="html">
                <div style="margin: 0px; padding: 0px; font-size: 14px;">
                    <p style="margin: 0px; padding: 0px; font-size: 14px;">
                        Bonjour Mme/Mr {{ object.senior_manager_id.name }},
                        <p>
                            La DMI dont la reference est {{ object.name }} est dans votre corbeille pour validation.<br/>
                        </p>

                        <p>
                            Priere de vous connecter a la plateforme pour valider la DMI.
                        </p>
                        <div style="margin: 16px 0px 16px 0px;">
                            <a t-attf-href="{{ object.record_url }}"
                               style="background-color: #875A7B; padding: 8px 16px 8px 16px; text-decoration: none; color: #fff; border-radius: 5px; font-size:13px;">
                                Accéder à la DMI.
                            </a>
                        </div>

                        <p>
                            Cordialement.
                        </p>
                    </p>
                </div>
            </field>
            <field name="auto_delete" eval="True"/>
        </record>

        <!-- Notification SMC IT -->
        <record id="email_smc_vm_notif" model="mail.template">
            <field name="name">Equipement SMC : Notify the validator - Validation</field>
            <field name="email_from">{{ object.company_id.mail_smc or '' }}</field>
            <field name="model_id" ref="dmi_managnment.model_dmi_managnment"/>
            <field name="subject">DMI {{ object.name }}</field>
            <field name="body_html" type="html">
                <div style="margin: 0px; padding: 0px; font-size: 14px;">
                    <p style="margin: 0px; padding: 0px; font-size: 14px;">
                        Bonjour/Bonsoir la Hotline,
                        <p>
                            La DMI dont la reference est {{ object.name }} a passe toutes les etpaes de validation.<br/>
                            Par consequent elle vous a ete envoye por traitement.
                        </p>
                        <div>
                            <table>
                                <th>
                                    <tr>
                                        <td colspan="2">RECAPITULATIF DES INFORMATIONS DE LA DMI</td>
                                    </tr>
                                </th>
                                <tbody>
                                    <tr>
                                        <td>Statut de la demande</td>
                                        <td>{{object.state}}</td>
                                    </tr>
                                    <tr>
                                        <td>Etape de la demande</td>
                                        <td>{{object.stage_id.name}}</td>
                                    </tr>
                                    <tr>
                                        <td>Demandeur</td>
                                        <td>{{object.user_id.name}}</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">Beneficiaire</td>
                                    </tr>
                                    <tr>
                                        <td>Type de beneficiaire</td>
                                        <td>{{object.type_beneficiarie}}</td>
                                    </tr>
                                    <tr>
                                        <td>Nom</td>
                                        <td>{{object.user_id.name}}</td>
                                    </tr>
                                    <tr>
                                        <td>Telephone</td>
                                        <td>{{object.telephone}}</td>
                                    </tr>
                                    <tr>
                                        <td>Mail</td>
                                        <td>{{object.email}}</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">AUTRES INFORMATIONS</td>
                                    </tr>
                                    <tr>
                                        <td>Type de demande</td>
                                        <td>{{object.demande_type}}</td>
                                    </tr>
                                    <t t-if="object.demande_type == 'project'">
                                        <tr>
                                            <td>Type de demande</td>
                                            <td>{{object.project_id.name}}</td>
                                        </tr>
                                    </t>
                                    <tr>
                                        <td>Personne a contacter en cas de souci</td>
                                        <td>{{object.contact_id.name}}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        <div style="margin: 16px 0px 16px 0px;">
                            <a t-attf-href="{{ object.record_url }}"
                               style="background-color: #875A7B; padding: 8px 16px 8px 16px; text-decoration: none; color: #fff; border-radius: 5px; font-size:13px;">
                                Accéder à la DMI.
                            </a>
                        </div>
                        <p>
                            Cordialement.
                        </p>
                    </p>
                </div>
            </field>
            <field name="auto_delete" eval="True"/>
        </record>


         <!-- Notification des VMs -->
<!--        <record id="email_initiator_vm_notif" model="mail.template">-->
<!--            <field name="name">Owner VMs : Notify the owner - Validation</field>-->
<!--            <field name="email_from">{{ object.company_id.mail_dmi_notification or '' }}</field>-->
<!--            <field name="model_id" ref="dmi_managnment.model_dmi_managnment"/>-->
<!--            <field name="subject">Noitifation DMI {{ object.name }}</field>-->
<!--            <field name="body_html" type="html">-->
<!--                <div style="margin: 0px; padding: 0px; font-size: 14px;">-->
<!--                    <p style="margin: 0px; padding: 0px; font-size: 14px;">-->
<!--                        Bonjour Mme/Mr {{ object.user_id.name }},-->
<!--                        <p>-->
<!--                            Votre DMI dont la reference est {{ object.name }} vient d'etre validee par {{ object.validator_id.name }}.<br/>-->
<!--                            Elle est passee de l'etape {{ object.old_stage_id.name }} -> {{ object.stage_id.name }}-->
<!--                        </p>-->

<!--                        <p>-->
<!--                            Le statut de le DMI est {{ object.state }}.-->
<!--                        </p>-->
<!--                        <div style="margin: 16px 0px 16px 0px;">-->
<!--                            <a t-attf-href="{{ object.record_url }}"-->
<!--                               style="background-color: #875A7B; padding: 8px 16px 8px 16px; text-decoration: none; color: #fff; border-radius: 5px; font-size:13px;">-->
<!--                                Accéder à la DMI.-->
<!--                            </a>-->
<!--                        </div>-->

<!--                        <p>-->
<!--                            Cordialement-->
<!--                        </p>-->
<!--                    </p>-->
<!--                </div>-->
<!--            </field>-->
<!--            <field name="auto_delete" eval="True"/>-->
<!--        </record>-->

<!--        &lt;!&ndash; Notification des Habilitations &ndash;&gt;-->
<!--        <record id="email_initiator_habilitation_notif" model="mail.template">-->
<!--            <field name="name">Owner Habilitations : Notify the owner - Validation</field>-->
<!--            <field name="email_from">{{ object.company_id.mail_dmi_notification or '' }}</field>-->
<!--            <field name="model_id" ref="dmi_managnment.model_dmi_managnment_habilitation"/>-->
<!--            <field name="subject">Noitifation DMI {{ object.name }}</field>-->
<!--            <field name="body_html" type="html">-->
<!--                <div style="margin: 0px; padding: 0px; font-size: 14px;">-->
<!--                    <p style="margin: 0px; padding: 0px; font-size: 14px;">-->
<!--                        Bonjour Mme/Mr {{ object.user_id.name }},-->
<!--                        <p>-->
<!--                            Votre DMI dont la reference est {{ object.name }} vient d'etre validee par {{ object.validator_id.name }}.<br/>-->
<!--                            Elle est passee de l'etape {{ object.old_stage_id.name }} -> {{ object.stage_id.name }}-->
<!--                        </p>-->

<!--                        <p>-->
<!--                            Le statut de le DMI est {{ object.state }}.-->
<!--                        </p>-->
<!--                        <div style="margin: 16px 0px 16px 0px;">-->
<!--                            <a t-attf-href="{{ object.record_url }}"-->
<!--                               style="background-color: #875A7B; padding: 8px 16px 8px 16px; text-decoration: none; color: #fff; border-radius: 5px; font-size:13px;">-->
<!--                                Accéder à la DMI.-->
<!--                            </a>-->
<!--                        </div>-->

<!--                        <p>-->
<!--                            Cordialement-->
<!--                        </p>-->
<!--                    </p>-->
<!--                </div>-->
<!--            </field>-->
<!--            <field name="auto_delete" eval="True"/>-->
<!--        </record>-->

<!--        &lt;!&ndash; Notification des Ouvertures de flux &ndash;&gt;-->
<!--        <record id="email_initiator_flux_notif" model="mail.template">-->
<!--            <field name="name">Owner Habilitations : Notify the owner - Validation</field>-->
<!--            <field name="email_from">{{ object.company_id.mail_dmi_notification or '' }}</field>-->
<!--            <field name="model_id" ref="dmi_managnment.model_dmi_managnment_flux"/>-->
<!--            <field name="subject">Noitifation DMI {{ object.name }}</field>-->
<!--            <field name="body_html" type="html">-->
<!--                <div style="margin: 0px; padding: 0px; font-size: 14px;">-->
<!--                    <p style="margin: 0px; padding: 0px; font-size: 14px;">-->
<!--                        Bonjour Mme/Mr {{ object.user_id.name }},-->
<!--                        <p>-->
<!--                            Votre DMI dont la reference est {{ object.name }} vient d'etre validee par {{ object.validator_id.name }}.<br/>-->
<!--                            Elle est passee de l'etape {{ object.old_stage_id.name }} -> {{ object.stage_id.name }}-->
<!--                        </p>-->

<!--                        <p>-->
<!--                            Le statut de le DMI est {{ object.state }}.-->
<!--                        </p>-->
<!--                        <div style="margin: 16px 0px 16px 0px;">-->
<!--                            <a t-attf-href="{{ object.record_url }}"-->
<!--                               style="background-color: #875A7B; padding: 8px 16px 8px 16px; text-decoration: none; color: #fff; border-radius: 5px; font-size:13px;">-->
<!--                                Accéder à la DMI.-->
<!--                            </a>-->
<!--                        </div>-->

<!--                        <p>-->
<!--                            Cordialement-->
<!--                        </p>-->
<!--                    </p>-->
<!--                </div>-->
<!--            </field>-->
<!--            <field name="auto_delete" eval="True"/>-->
<!--        </record>-->
    </data>
</odoo>